Summary: METAR Decoder Software Package Library
Name: mdsplib
Version: 0.11
Release: 6%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://limulus.net/mdsplib/
Source: http://limulus.net/mdsplib/mdsplib-%{version}.tar.gz
Patch0: mdsplib-0.11-makefile.patch
Patch1: mdsplib-0.11-shared.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
METAR is a French acronym for Aviation Routine Weather Report. It is the
standard format for reporting meteorological conditions. As a free service,
the National Weather Service continually updates a server with METARs from all
over the world.

The MDSP Library provides a programmer with two functions, the major one
being DcdMETAR, which decodes a METAR into structures provided by the
library. Also prtDMETR, which prints out a decoded METAR structure.


%package devel
Summary: Development files for the METAR Decoder Software Package Library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
METAR is a French acronym for Aviation Routine Weather Report. It is the
standard format for reporting meteorological conditions. As a free service,
the National Weather Service continually updates a server with METARs from all
over the world.

The MDSP Library provides a programmer with two functions, the major one
being DcdMETAR, which decodes a METAR into structures provided by the
library. Also prtDMETR, which prints out a decoded METAR structure.


%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p1 -b .shared


%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -fpic"


%install
%{__rm} -rf %{buildroot}
%{__make} install libdir=%{_libdir} DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc HISTORY LICENSE README*
%{_libdir}/libmetar.so.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/metar.h
%{_libdir}/libmetar.so


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.11-5
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.11-4
- Update License field.

* Fri Jun  8 2007 Matthias Saou <http://freshrpms.net/> 0.11-3
- Include patch from Hans de Goede to build the lib as shared.

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.11-2
- Switch to generating the devel package and no main one.

* Thu Mar  1 2007 Matthias Saou <http://freshrpms.net/> 0.11-1
- Initial RPM release.

